Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/features/reference/)
# Features API Reference
* Capabilities
* getGet Landing Page
* getGet API Conformance
* Collections
* getList Collections
* postCreate Collection
* getGet Collection
* putUpdate Collection
* delDelete Collection
* getList Collection Permissions
* postUpdate Collection Permissions
* delDelete Collection Permissions
* Features
* getList Features
* postAdd Feature
* getGet Feature
* putUpdate Feature
* delDelete Feature
* Tiles
* getGet MVT Tile
* Alternates
* postGet Alternates
* Validate
* postValidate Feature
[API docs by Redocly](https://redocly.com/redoc/)
# Planet Features API (1)
Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/features-api-spec.yaml)
An API to manage features on the Planet platform.
## [](#tag/Capabilities)Capabilities
API characteristics
## [](#tag/Capabilities/paths/~1/get)Get Landing Page
The landing page provides links to the API definition, the conformance statements and to the feature collections in this dataset.
##### Authorizations:
*JWT**BasicAuth*
### Responses
**200**
The landing page provides links to the API definition (link relations `service-desc` and `service-doc`), the Conformance declaration (path `/conformance`, link relation `conformance`), and the Feature Collections (path `/collections`, link relation `data`).
**500**
A server error occurred.
get/
My Dataset
https\://api.planet.com/features/v1/ogc/my/
### Response samples
* 200
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"title": "Buildings in Bonn",
"description": "Access to data about buildings in the city of Bonn via a Web API that conforms to the OGC API Features specification.",
"links": [
{
"href": "http://data.example.org/",
"rel": "self",
"type": "application/json",
"title": "this document"
},
{
"href": "http://data.example.org/api",
"rel": "service-desc",
"type": "application/vnd.oai.openapi+json;version=3.0",
"title": "the API definition"
},
{
"href": "http://data.example.org/api.html",
"rel": "service-doc",
"type": "text/html",
"title": "the API documentation"
},
{
"href": "http://data.example.org/conformance",
"rel": "conformance",
"type": "application/json",
"title": "OGC API conformance classes implemented by this server"
},
{
"href": "http://data.example.org/collections",
"rel": "data",
"type": "application/json",
"title": "Information about the feature collections"
}
]
}`
## [](#tag/Capabilities/paths/~1conformance/get)Get API Conformance
A list of all conformance classes specified in a standard that the server conforms to.
##### Authorizations:
*JWT**BasicAuth*
### Responses
**200**
The URIs of all conformance classes supported by the server.
To support "generic" clients that want to access multiple OGC API Features implementations - and not "just" a specific API / server, the server declares the conformance classes it implements and conforms to.
**500**
A server error occurred.
get/conformance
My Dataset
https\://api.planet.com/features/v1/ogc/my/conformance
### Response samples
* 200
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"conformsTo": [
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/core",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/oas30",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/html",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/geojson"
]
}`
## [](#tag/Collections)Collections
access to feature collections
## [](#tag/Collections/paths/~1collections/get)List Collections
List all feature collections available to the authenticated user in the dataset.
Collections can be filtered using text filters (title, description, hashid) and custom properties. All filters are combined with AND logic.
##### Authorizations:
*JWT**BasicAuth*
##### query Parameters
| | |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit | integer \[ 1 .. 500 ]Default: 50The optional limit parameter limits the number of items that are presented in the response document. |
| offset | integer >= 0Default: 0Pagination offset (number of items to skip) |
| title | stringFilter by collection title. Use prefix \~ for substring matching (e.g., ?title=\~my) |
| description | stringFilter by collection description. Use prefix \~ for substring matching |
| hashid | stringFilter by collection hashid (immutable internal identifier). See identifiers documentation. |
| sort | stringEnum: "created\_date" "-created\_date" "title" "-title"Sort results by field. Supported fields are created\_date and title. Prefix '-' for descending (e.g., -created\_date) |
### Responses
**200**
The feature collections shared by this API.
The dataset is organized as one or more feature collections. This resource provides information about and access to the collections.
The response contains the list of collections. For each collection, a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**500**
A server error occurred.
get/collections
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections
### Response samples
* 200
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"links": [
{
"href": "http://data.example.org/collections.json",
"rel": "self",
"type": "application/json",
"title": "this document"
},
{
"href": "http://data.example.org/collections.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://schemas.example.org/1.0/buildings.xsd",
"rel": "describedby",
"type": "application/xml",
"title": "GML application schema for Acme Corporation building data"
},
{
"href": "http://download.example.org/buildings.gpkg",
"rel": "enclosure",
"type": "application/geopackage+sqlite3",
"title": "Bulk download (GeoPackage)",
"length": 472546
}
],
"collections": [
{
"id": "buildings",
"title": "Buildings",
"description": "Buildings in the city of Bonn.",
"extent": {
"spatial": {
"bbox": [ [
7.01,
50.63,
7.22,
50.78
]
]
},
"temporal": {
"interval": [ [
"2010-02-15T12:34:56Z",
null
]
]
}
},
"links": [
{
"href": "http://data.example.org/collections/buildings/items",
"rel": "items",
"type": "application/geo+json",
"title": "Buildings"
},
{
"href": "http://data.example.org/collections/buildings/items.html",
"rel": "items",
"type": "text/html",
"title": "Buildings"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/",
"rel": "license",
"type": "text/html",
"title": "CC0-1.0"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/rdf",
"rel": "license",
"type": "application/rdf+xml",
"title": "CC0-1.0"
}
]
}
]
}`
## [](#tag/Collections/paths/~1collections/post)Create Collection
Create a new feature collection in the dataset.
##### Authorizations:
*JWT**BasicAuth*
##### Request Body schema: application/json
| | |
| ------------- | ------ |
| titlerequired | string |
| description | string |
### Responses
**201**
Information about the feature collection with id `collectionId`.
The response contains a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**500**
A server error occurred.
post/collections
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections
### Request samples
* Payload
Content type
application/json
Copy
`{
"title": "string",
"description": "string"
}`
### Response samples
* 201
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"id": "buildings",
"title": "Buildings",
"description": "Buildings in the city of Bonn.",
"extent": {
"spatial": {
"bbox": [ [
7.01,
50.63,
7.22,
50.78
]
]
},
"temporal": {
"interval": [ [
"2010-02-15T12:34:56Z",
null
]
]
}
},
"links": [
{
"href": "http://data.example.org/collections/buildings/items",
"rel": "items",
"type": "application/geo+json",
"title": "Buildings"
},
{
"href": "http://data.example.org/collections/buildings/items.html",
"rel": "items",
"type": "text/html",
"title": "Buildings"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/",
"rel": "license",
"type": "text/html",
"title": "CC0-1.0"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/rdf",
"rel": "license",
"type": "application/rdf+xml",
"title": "CC0-1.0"
}
]
}`
## [](#tag/Collections/paths/~1collections~1{collectionId}/get)Get Collection
Get a feature collection by `collectionId`
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**200**
Information about the feature collection with id `collectionId`.
The response contains a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
get/collections/{collectionId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}
### Response samples
* 200
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"id": "buildings",
"title": "Buildings",
"description": "Buildings in the city of Bonn.",
"extent": {
"spatial": {
"bbox": [ [
7.01,
50.63,
7.22,
50.78
]
]
},
"temporal": {
"interval": [ [
"2010-02-15T12:34:56Z",
null
]
]
}
},
"links": [
{
"href": "http://data.example.org/collections/buildings/items",
"rel": "items",
"type": "application/geo+json",
"title": "Buildings"
},
{
"href": "http://data.example.org/collections/buildings/items.html",
"rel": "items",
"type": "text/html",
"title": "Buildings"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/",
"rel": "license",
"type": "text/html",
"title": "CC0-1.0"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/rdf",
"rel": "license",
"type": "application/rdf+xml",
"title": "CC0-1.0"
}
]
}`
## [](#tag/Collections/paths/~1collections~1{collectionId}/put)Update Collection
Update the feature collection by `collectionId`
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
##### Request Body schema: application/json
| | |
| ------------- | ------ |
| titlerequired | string |
| description | string |
### Responses
**200**
Information about the feature collection with id `collectionId`.
The response contains a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
put/collections/{collectionId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}
### Request samples
* Payload
Content type
application/json
Copy
`{
"title": "string",
"description": "string"
}`
### Response samples
* 200
* 500
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"id": "buildings",
"title": "Buildings",
"description": "Buildings in the city of Bonn.",
"extent": {
"spatial": {
"bbox": [ [
7.01,
50.63,
7.22,
50.78
]
]
},
"temporal": {
"interval": [ [
"2010-02-15T12:34:56Z",
null
]
]
}
},
"links": [
{
"href": "http://data.example.org/collections/buildings/items",
"rel": "items",
"type": "application/geo+json",
"title": "Buildings"
},
{
"href": "http://data.example.org/collections/buildings/items.html",
"rel": "items",
"type": "text/html",
"title": "Buildings"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/",
"rel": "license",
"type": "text/html",
"title": "CC0-1.0"
},
{
"href": "https://creativecommons.org/publicdomain/zero/1.0/rdf",
"rel": "license",
"type": "application/rdf+xml",
"title": "CC0-1.0"
}
]
}`
## [](#tag/Collections/paths/~1collections~1{collectionId}/delete)Delete Collection
Delete an existing feature collection
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**204**
The resource was deleted successfully
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
delete/collections/{collectionId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}
## [](#tag/Collections/paths/~1collections~1{collectionId}~1permission/get)List Collection Permissions
List permissions for the feature collection by `collectionId`
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**200**
Permission Response
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
get/collections/{collectionId}/permission
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/permission
### Response samples
* 200
* 500
Content type
application/json
Copy
`{
"can_read": true,
"can_write": true
}`
## [](#tag/Collections/paths/~1collections~1{collectionId}~1permission/post)Update Collection Permissions
Share this collection with your org.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**204**
The permissions were updated successfully
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
post/collections/{collectionId}/permission
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/permission
### Response samples
* 500
Content type
application/jsonapplication/json
Copy
`{
"code": "string",
"description": "string"
}`
## [](#tag/Collections/paths/~1collections~1{collectionId}~1permission/delete)Delete Collection Permissions
Unshare a collection.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**204**
The permissions were deleted successfully
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
delete/collections/{collectionId}/permission
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/permission
## [](#tag/Features)Features
access to features
## [](#tag/Features/paths/~1collections~1{collectionId}~1items/get)List Features
List features of the feature collection with `collectionId`.
Every feature in a dataset belongs to a collection. A dataset may consist of multiple feature collections. A feature collection is often a collection of features of a similar type, based on a common schema.
Features can be filtered by ID, hashid, custom properties, and geometry (bbox). Any query parameter not in the reserved list is treated as a property filter on the feature's properties. Use prefix \~ in values for substring matching.
Use content negotiation to request HTML or GeoJSON.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
##### query Parameters
| | |
| ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| limit | integer \[ 1 .. 500 ]Default: 50The optional limit parameter limits the number of items that are presented in the response document. |
| offset | integer >= 0Default: 0Pagination offset (number of items to skip) |
| bbox | Array of numbersOnly features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four numbers:- Lower left corner, coordinate axis 1
- Lower left corner, coordinate axis 2
- Upper right corner, coordinate axis 1
- Upper right corner, coordinate axis 2The coordinate reference system is WGS 84 degrees longitude/latitude () |
| id | stringFilter by feature ID. Use prefix \~ for substring matching (e.g., ?id=\~test) |
| hashid | stringFilter by feature hashid (immutable internal identifier) |
| sort | stringEnum: "id" "-id"Sort results by field. Supported field is id. Prefix '-' for descending (e.g., -id) |
| \_view | stringEnum: "items" "wkb64" "basic" "refs"Response format. 'items' (default) returns full features, 'wkb64' returns geometry as WKB base64-encoded, 'basic' excludes geometry, 'refs' returns minimal reference info |
### Responses
**200**
The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size.
The `bbox` and `datetime` parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The `bbox` parameter matches all features in the collection that are not associated with a location, too. The `datetime` parameter matches all features in the collection that are not associated with a time stamp or interval, too.
The `limit` parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (`numberMatched` and `numberReturned`) as well as links to support paging (link relation `next`).
**400**
A query parameter has an invalid value.
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
get/collections/{collectionId}/items
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/items
### Response samples
* 200
* 400
* 500
Content type
application/geo+jsonapplication/geo+json
Copy
Expand all Collapse all
`{
"type": "FeatureCollection",
"links": [
{
"href": "http://data.example.com/collections/buildings/items.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings/items.json&offset=10&limit=2",
"rel": "next",
"type": "application/geo+json",
"title": "next page"
}
],
"timeStamp": "2018-04-03T14:52:23Z",
"numberMatched": 123,
"numberReturned": 2,
"features": [
{
"type": "Feature",
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
},
{
"type": "Feature",
"id": "132",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "public use",
"floors": "10",
"lastUpdate": "2013-12-03T10:15:37Z"
}
}
]
}`
## [](#tag/Features/paths/~1collections~1{collectionId}~1items/post)Add Feature
Add a feature to the collection
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
##### query Parameters
| | |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit | integer \[ 1 .. 10000 ]Default: 10The optional limit parameter limits the number of items that are presented in the response document.Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items shall not be counted.Minimum = 1. Maximum = 10000. Default = 10. |
| bbox | Array of numbers or Array of numbersOnly features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):- Lower left corner, coordinate axis 1
- Lower left corner, coordinate axis 2
- Minimum value, coordinate axis 3 (optional)
- Upper right corner, coordinate axis 1
- Upper right corner, coordinate axis 2
- Maximum value, coordinate axis 3 (optional)If the value consists of four numbers, the coordinate reference system is WGS 84 longitude/latitude () unless a different coordinate reference system is specified in the parameter `bbox-crs`.If the value consists of six numbers, the coordinate reference system is WGS 84 longitude/latitude/ellipsoidal height () unless a different coordinate reference system is specified in the parameter `bbox-crs`.The query parameter `bbox-crs` is specified in OGC API - Features - Part 2: Coordinate Reference Systems by Reference.For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box.If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries. |
| datetime | stringEither a date-time or an interval. Date and time expressions adhere to RFC 3339. Intervals may be bounded or half-bounded (double-dots at start or end).Examples:- A date-time: "2018-02-12T23:20:50Z"
- A bounded interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
- Half-bounded intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"Only features that have a temporal property that intersects the value of `datetime` are selected.If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties. |
| property\_id | stringInform Features API how to extract the id from the feature |
##### Request Body schema: application/json
One of
featureGeoJSONfeatureCollectionGeoJSON
| | |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| typerequired | stringValue: "Feature" |
| geometryrequired | pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON) |
| propertiesrequired | object or null |
| id | string or integer |
| links | Array of objects (link) |
### Responses
**201**
The features were added successfully
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
post/collections/{collectionId}/items
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/items
### Request samples
* Payload
Content type
application/json
Example
featureGeoJSONfeatureGeoJSON
Copy
Expand all Collapse all
`{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [
0,
0
]
},
"properties": { },
"id": "string",
"links": [
{
"href": "http://data.example.com/buildings/123",
"rel": "alternate",
"type": "application/geo+json",
"hreflang": "en",
"title": "Trierer Strasse 70, 53115 Bonn",
"length": 0
}
]
}`
### Response samples
* 500
Content type
application/jsonapplication/json
Copy
`{
"code": "string",
"description": "string"
}`
## [](#tag/Features/paths/~1collections~1{collectionId}~1items~1{featureId}/get)Get Feature
Get a single feature with id `featureId` in the feature collection with id `collectionId`.
Use content negotiation to request HTML or GeoJSON.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
| featureIdrequired | stringlocal identifier of a feature |
### Responses
**200**
fetch the feature with id `featureId` in the feature collection with id `collectionId`
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
get/collections/{collectionId}/items/{featureId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/items/{featureId}
### Response samples
* 200
* 500
Content type
application/geo+jsonapplication/geo+json
Copy
Expand all Collapse all
`{
"type": "Feature",
"links": [
{
"href": "http://data.example.com/id/building/123",
"rel": "canonical",
"title": "canonical URI of the building"
},
{
"href": "http://data.example.com/collections/buildings/items/123.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items/123.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings",
"rel": "collection",
"type": "application/geo+json",
"title": "the collection document"
}
],
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
}`
## [](#tag/Features/paths/~1collections~1{collectionId}~1items~1{featureId}/put)Update Feature
Update a feature, you cannot update a feature geometry.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
| featureIdrequired | stringlocal identifier of a feature |
##### Request Body schema:application/jsonapplication/json
| | |
| ---------- | ------ |
| properties | object |
### Responses
**200**
fetch the feature with id `featureId` in the feature collection with id `collectionId`
put/collections/{collectionId}/items/{featureId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/items/{featureId}
### Request samples
* Payload
Content type
application/jsonapplication/json
Copy
Expand all Collapse all
`{
"properties": { }
}`
### Response samples
* 200
Content type
application/geo+jsonapplication/geo+json
Copy
Expand all Collapse all
`{
"type": "Feature",
"links": [
{
"href": "http://data.example.com/id/building/123",
"rel": "canonical",
"title": "canonical URI of the building"
},
{
"href": "http://data.example.com/collections/buildings/items/123.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items/123.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings",
"rel": "collection",
"type": "application/geo+json",
"title": "the collection document"
}
],
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
}`
## [](#tag/Features/paths/~1collections~1{collectionId}~1items~1{featureId}/delete)Delete Feature
Deletes a feature
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
| featureIdrequired | stringlocal identifier of a feature |
### Responses
**204**
Feature was deleted successfully
delete/collections/{collectionId}/items/{featureId}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/items/{featureId}
## [](#tag/Tiles)Tiles
access to map vector tiles for web rendering
## [](#tag/Tiles/paths/~1collections~1{collectionId}~1tiles~1{z}~1{x}~1{y}/get)Get MVT Tile
Get a MapBox Vector Tile (MVT) for the specified collection and tile coordinates.
MVT is a compact binary format optimized for efficient web map rendering. Tiles use the Web Mercator (EPSG:3857) projection with coordinates in the XYZ tiling scheme.
Maximum zoom level is 22.
##### Authorizations:
*JWT**BasicAuth*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
| zrequired | integer \[ 0 .. 22 ]Zoom level (0-22) |
| xrequired | integer >= 0Tile column coordinate |
| yrequired | integer >= 0Tile row coordinate |
##### query Parameters
| | |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| properties | stringWhen present (any value, including no value), all feature properties are included in the tile attributes. By default only `title` and `description` are included. |
### Responses
**200**
MapBox Vector Tile in binary format
**400**
Invalid tile coordinates (e.g., zoom > 22)
**404**
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.
**500**
A server error occurred.
get/collections/{collectionId}/tiles/{z}/{x}/{y}
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/{collectionId}/tiles/{z}/{x}/{y}
### Response samples
* 500
Content type
application/jsonapplication/json
Copy
`{
"code": "string",
"description": "string"
}`
## [](#tag/Alternates)Alternates
## [](#tag/Alternates/paths/~1collections~1alternates/post)Get Alternates
generate alternate geometries for features with vertex count that exceeds the vertex limit or may be invalid (e.g via de-duping, simpplification, bbox, convex hull, etc)
##### Authorizations:
*JWT**BasicAuth*
##### Request Body schema: application/json
| | |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| typerequired | stringValue: "Feature" |
| geometryrequired | pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON) |
| propertiesrequired | object or null |
| id | string or integer |
| links | Array of objects (link) |
### Responses
**200**
The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size.
The `bbox` and `datetime` parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The `bbox` parameter matches all features in the collection that are not associated with a location, too. The `datetime` parameter matches all features in the collection that are not associated with a time stamp or interval, too.
The `limit` parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (`numberMatched` and `numberReturned`) as well as links to support paging (link relation `next`).
post/collections/alternates
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/alternates
### Request samples
* Payload
Content type
application/json
Copy
Expand all Collapse all
`{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [
0,
0
]
},
"properties": { },
"id": "string",
"links": [
{
"href": "http://data.example.com/buildings/123",
"rel": "alternate",
"type": "application/geo+json",
"hreflang": "en",
"title": "Trierer Strasse 70, 53115 Bonn",
"length": 0
}
]
}`
### Response samples
* 200
Content type
application/geo+jsonapplication/geo+json
Copy
Expand all Collapse all
`{
"type": "FeatureCollection",
"links": [
{
"href": "http://data.example.com/collections/buildings/items.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings/items.json&offset=10&limit=2",
"rel": "next",
"type": "application/geo+json",
"title": "next page"
}
],
"timeStamp": "2018-04-03T14:52:23Z",
"numberMatched": 123,
"numberReturned": 2,
"features": [
{
"type": "Feature",
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
},
{
"type": "Feature",
"id": "132",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "public use",
"floors": "10",
"lastUpdate": "2013-12-03T10:15:37Z"
}
}
]
}`
## [](#tag/Validate)Validate
## [](#tag/Validate/paths/~1collections~1validate/post)Validate Feature
Validate a feature or feature collection against this dataset's lint rules.
##### Authorizations:
*JWT**BasicAuth*
##### Request Body schema: application/json
One of
featureGeoJSONfeatureCollectionGeoJSON
| | |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| typerequired | stringValue: "Feature" |
| geometryrequired | pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON) |
| propertiesrequired | object or null |
| id | string or integer |
| links | Array of objects (link) |
### Responses
**200**
The feature is valid
**400**
Feature geometry does not pass lint rules
post/collections/validate
My Dataset
https\://api.planet.com/features/v1/ogc/my/collections/validate
### Request samples
* Payload
Content type
application/json
Example
featureGeoJSONfeatureGeoJSON
Copy
Expand all Collapse all
`{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [
0,
0
]
},
"properties": { },
"id": "string",
"links": [
{
"href": "http://data.example.com/buildings/123",
"rel": "alternate",
"type": "application/geo+json",
"hreflang": "en",
"title": "Trierer Strasse 70, 53115 Bonn",
"length": 0
}
]
}`